Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.job
Interface JobEmail

    public interface JobEmail

Interface to allow a `Job` implementation to send email using the Identity Manager email notification template facility.

Method Summary
`JobResult[]` | `checkConfig(Locale msgLocale)` Verify that the job is configured properly to send email.
`JobResult` | `sendMail(String from, String replyTo, String[] to, String[] cc, String[] bcc, DirectoryObject template, Map replacementData, String encoding, List customHeaders)` Send email based on an eDirectory notfMergeTemplate object that contains the email body and the subject information.
`JobResult` | `sendMail(String from, String replyTo, String[] to, String[] cc, String[] bcc, String subject, String body, String encoding, List customHeaders, boolean sendAsHTML)` Send email based on passed subject and email body.

Method Detail

### checkConfig

    JobResult[] checkConfig(Locale msgLocale)

  Verify that the job is configured properly to send email. This means that the DirXML-Job object has a reference to a properly configured notfTemplateCollection object.

  Returns:
    an array of one or more `JobResult` implementations if there is an error, `null` if everything appears to be configured correctly.

### sendMail

    JobResult sendMail(String from,
                       String replyTo,
                       String[] to,
                       String[] cc,
                       String[] bcc,
                       DirectoryObject template,
                       Map replacementData,
                       String encoding,
                       List customHeaders)
                       throws IllegalArgumentException

  Send email based on an eDirectory notfMergeTemplate object that contains the email body and the subject information.

  Parameters:
    `from` - SMTP email address for "From" field. If `null` then the "from" value from the notfTemplateCollection object specified for the job will be used.
    `replyTo` - SMTP email address for "Reply to" field (may be `null`)
    `to` - array of primary recipient SMTP email addresses (may not be `null` or empty)
    `cc` - array of "CC" recipient SMTP email addresses (may be `null`)
    `bcc` - array of "BCC" recipient SMTP email addresses (may be `null`)
    `template` - notfMergeTemplate object containing email subject and body data
    `replacementData` - key-value pairs of strings containing replacement data for the template
    `encoding` - character encoding to use (may be `null`)
    `customHeaders` - list of `String`s, each containing a custom SMTP header line (may be `null`)
  Returns:
    result (will not be `null`)
  Throws:
    `IllegalArgumentException` - if one of the required parameters is `null`, empty, or otherwise invalid

### sendMail

    JobResult sendMail(String from,
                       String replyTo,
                       String[] to,
                       String[] cc,
                       String[] bcc,
                       String subject,
                       String body,
                       String encoding,
                       List customHeaders,
                       boolean sendAsHTML)
                       throws IllegalArgumentException

  Send email based on passed subject and email body.

  Parameters:
    `from` - SMTP email address for "From" field. If `null` then the "from" value from the notfTemplateCollection object specified for the job will be used.
    `replyTo` - SMTP email address for "Reply to" field (may be null)
    `to` - array of primary recipient SMTP email addresses (may not be `null` or empty)
    `cc` - array of "CC" recipient SMTP email addresses (may be `null`)
    `bcc` - array of "BCC" recipient SMTP email addresses (may be `null`)
    `subject` - email message subject line
    `body` - email message body
    `encoding` - character encoding to use (may be `null`)
    `customHeaders` - list of `String`s, each containing a custom SMTP header line (may be `null`)
    `sendAsHTML` - if `true`, email is sent as HTML, if `false` email is sent as plain text.
  Returns:
    result (will not be `null`)
  Throws:
    `IllegalArgumentException` - if one of the required parameters is `null`, empty, or otherwise invalid

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD